QFilePreview(3qt)

NAME
QFilePreview - Abstract preview widget for the

#include <qfiledialog.h>

  Public Members
QFilePreview ()
virtual void previewUrl ( const QUrl & url )

DESCRIPTION
Abstract preview widget for the QFileDialog

This class is an abstract base class which is used for implementing widgets which can display a preview of a file in the QFileDialog.

If you want to do that you have to derive your preview widget from any QWidget and from this class. Then you have to reimplement the previewUrl() method of this class which is called by the filedialog if the preview of an URL should be shown.

See also QFileDialog::setPreviewMode(), QFileDialog::setContentsPreview(), QFileDialog::setInfoPreview(), QFileDialog::setInfoPreviewEnabled(), QFileDialog::setContentsPreviewEnabled().

For an example documentation of a preview widget look at the example qt/examples/qdir/qdir.cpp.

MEMBER FUNCTION DOCUMENTATION

QFilePreview::QFilePreview ()
Constructor. Does nothing.

void QFilePreview::previewUrl ( const QUrl & url ) [virtual]
This method is called by QFileDialog if a preview for the url should be shown. Reimplement this method to do file/URL previews.

SEE ALSO
http://doc.trolltech.com/qfilepreview.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports make our job much simpler. Thank you.

In case of content or formattting problems with this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qfilepreview.3qt) and the Qt version (2.3.7).